CONFIG = {
    'framework' : 'other',
    'arg' : 'PYCMD -c "from pandas import test; test()"',
    'env' : None,
    'expect_except' : None,
    'need_sources' : False,
    'location' : None,
    'use_re' : False,
    'parser' : 'pytest',
    'errors' : {
        '2.7' : {
            'Win' : set(),
            'Lin' : set(),
            'Mac' : {'test_round_trip_valid_encodings (pandas.io.tests.test_clipboard.TestClipboard)',
                     'test_round_trip_frame_string (pandas.io.tests.test_clipboard.TestClipboard)', #SAT-624
                     'test_round_trip_frame_sep (pandas.io.tests.test_clipboard.TestClipboard)', #SAT-624
                     'test_round_trip_frame (pandas.io.tests.test_clipboard.TestClipboard)', #SAT-624
                     'test_read_clipboard_infer_excel (pandas.io.tests.test_clipboard.TestClipboard)', #SAT-624
                    }
        },
        '3.5' : {
            'Win' : set(),
            'Lin' : set(),
            'Mac' : {'test_round_trip_valid_encodings (pandas.io.tests.test_clipboard.TestClipboard)',
                     'test_round_trip_frame_string (pandas.io.tests.test_clipboard.TestClipboard)', #SAT-624
                     'test_round_trip_frame_sep (pandas.io.tests.test_clipboard.TestClipboard)', #SAT-624
                     'test_round_trip_frame (pandas.io.tests.test_clipboard.TestClipboard)', #SAT-624
                     'test_read_clipboard_infer_excel (pandas.io.tests.test_clipboard.TestClipboard)', #SAT-624
                    }
        },
        '3.6' : {
            'Win' : set(),
            'Lin' : set(),
            'Mac' : {'test_round_trip_valid_encodings (pandas.io.tests.test_clipboard.TestClipboard)',
                     'test_round_trip_frame_string (pandas.io.tests.test_clipboard.TestClipboard)', #SAT-624
                     'test_round_trip_frame_sep (pandas.io.tests.test_clipboard.TestClipboard)', #SAT-624
                     'test_round_trip_frame (pandas.io.tests.test_clipboard.TestClipboard)', #SAT-624
                     'test_read_clipboard_infer_excel (pandas.io.tests.test_clipboard.TestClipboard)', #SAT-624
                    }
        },
    },
    'failures' : {
        '2.7' : {
            'Win' : {'test_append_index (pandas.tests.test_multilevel.TestMultiLevel)', #SAT-1296
                     'TestSafeSort.test_unsortable', #SAT-1539
                    },
            'Lin' : {'test_append_index (pandas.tests.test_multilevel.TestMultiLevel)', #SAT-1296
                     'TestSafeSort.test_unsortable', #SAT-1539
                    },
            'Mac' : {'test_assert_almost_equal_inf (pandas.tests.test_testing.TestAssertAlmostEqual)',
                     'test_sum_inf (pandas.tests.series.test_analytics.TestSeriesAnalytics)',
                     'test_div (pandas.tests.series.test_operators.TestSeriesOperators)',
                     'test__has_infs (pandas.tests.test_nanops.TestnanopsDataFrame)',
                     'test_append_index (pandas.tests.test_multilevel.TestMultiLevel)', #SAT-1296
                     'TestClipboard.test_round_trip_valid_encodings',
                     'TestClipboard.test_round_trip_frame_sep',
                     'TestClipboard.test_round_trip_frame',
                     'TestClipboard.test_read_clipboard_infer_excel',
                     'TestClipboard.test_round_trip_frame_string',
                     'TestSafeSort.test_unsortable', #SAT-1539
                     }
        },
        '3.5' : {
            'Win' : {'test_append_index (pandas.tests.test_multilevel.TestMultiLevel)', #SAT-1296
                    },
            'Lin' : {'test_append_index (pandas.tests.test_multilevel.TestMultiLevel)', #SAT-1296
                    },
            'Mac' : {'test_format (pandas.tests.indexes.test_base.TestIndex)',  # SAT-1192
                     'test_append_index (pandas.tests.test_multilevel.TestMultiLevel)', #SAT-1296
                    }
        },
        '3.6' : {
            'Win' : {'test_slice_to_array_conversion (pandas.tests.test_internals.TestBlockPlacement)',
                     'test_slice_iter (pandas.tests.test_internals.TestBlockPlacement)',
                     'test_blockplacement_add_int (pandas.tests.test_internals.TestBlockPlacement)',
                     'test_append_index (pandas.tests.test_multilevel.TestMultiLevel)', # SAT-1296
            },
            'Lin' : { 'test_blockplacement_add_int (pandas.tests.test_internals.TestBlockPlacement)',
                      'test_slice_iter (pandas.tests.test_internals.TestBlockPlacement)',
                      'test_slice_to_array_conversion (pandas.tests.test_internals.TestBlockPlacement)',
                      'test_append_index (pandas.tests.test_multilevel.TestMultiLevel)', # SAT-1296
            },
            'Mac' : { 'test_slice_iter (pandas.tests.test_internals.TestBlockPlacement)',
                      'test_blockplacement_add_int (pandas.tests.test_internals.TestBlockPlacement)',
                      'test_append_index (pandas.tests.test_multilevel.TestMultiLevel)',
                      'test_slice_to_array_conversion (pandas.tests.test_internals.TestBlockPlacement)',
                      'TestClipboard.test_round_trip_valid_encodings',
                      'TestClipboard.test_round_trip_frame_sep',
                      'TestClipboard.test_round_trip_frame',
                      'TestClipboard.test_read_clipboard_infer_excel',
                      'TestClipboard.test_round_trip_frame_string',
            },
        },
    },
    'validation' : {
        'failures' : {
            '3.6' : {
                'Win' : { 'TestLocale.test_locale', #SAT-1420
                },
                'Lin' : { 'TestLocale.test_locale', #SAT-1420
                },
                'Mac' : { 'TestLocale.test_locale', #SAT-1420
                },
            },
        },
    },
}

def fetch_config(pyver):
    return CONFIG
